import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
    public Outcome outcome(Outcome.Type type, final String format, final Object... args) {
        return new Outcome(type, String.format(format, args));
    }

    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int pAns = ouf.nextInt();
        int jAns = ans.nextInt();
        if (pAns != jAns) {
            return outcome(WA, "Participant has wrong answer");
        }
        return outcome(OK, "Corrent answer");
    }
}
